Skip to main content
POST
Upload an artifact

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Project ID

Body

application/json
agent_name
string | null
required
filename
string
required
content
string
required

Response

Uploaded artifact metadata

id
string
required
agent_name
string | null
required
kind
enum<string>
required
Available options:
uploaded,
generated
filename
string | null
required
content_type
enum<string>
required
Available options:
text/plain,
text/markdown
version
integer | null
required
byte_length
integer
required
Required range: x >= 0
created_at
string<date-time>
required
updated_at
string<date-time>
required